from tkinter import *
import math
from affinTran import *
Nmax =13; SC=400; X0=-85; Y0=-150
f1=affine().scale(1/math.sqrt(3)).rotate(math.pi / 8)
f2=affine().shift(-1, 0).scale(1,-1).scale(2/3).shift(1, 0)
origin=coordinate()
def drawTran(t, r, g, b):
    global origin, canvas,SC,X0,Y0
    w =coordinate().transformed(origin,t).scXY(SC, X0, Y0)
    C="#%02X%02X%02X" % (colorValue(r), colorValue(g), colorValue(b))
    canvas.create_rectangle(w[0], w[1],w[0], w[1],fill=C,outline="")
def trans(n, t, r, g, b):
    global f1,f2,Nmax
    if n>Nmax: drawTran(t, r, g, b)
    else :
        trans(n+1,f1 * t, r+math.pow(2, -n),g,b)
        trans(n+1,f2 * t, r,g+math.pow(2, -n),b)
def paint(canvas):
    trans(0,affine(), 0,0,0)
root=Tk();root.title("Similarity Transformation")
canvas=Canvas(root, width=220,height=198,bg="black")
canvas.pack()
paint(canvas)
root.update()
root.mainloop()





    

	
